Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.script
Interface IPhpScriptContext

All Superinterfaces:
  Invocable

All Known Implementing Classes:
  PhpFacesScriptContext, PhpScriptContext, PhpSimpleHttpScriptContext

    public interface IPhpScriptContext

extends Invocable

Common methods for all PHP ScriptContexts

Author:
  jostb

Method Summary
`ContextFactory` | `getContextFactory()` Returns the ContextFactory.
`JavaBridgeRunner` | `getHttpServer()` Return the http server associated with this context.
`java.io.Writer` | `getWriter()` Returns the Writer
`void` | `setContextFactory(ContextFactory factory)` Set the context factory
`void` | `setContinuation(HttpProxy kont)` Set the php continuation

Methods inherited from interface php.java.bridge.Invocable
`call`

Method Detail

### getWriter

    java.io.Writer getWriter()

  Returns the Writer

  Returns:
    The writer

### setContextFactory

    void setContextFactory(ContextFactory factory)

  Set the context factory

  Parameters:
    `factory` - the factory

### getContextFactory

    ContextFactory getContextFactory()

  Returns the ContextFactory.

  Returns:
    the context manager

### setContinuation

    void setContinuation(HttpProxy kont)

  Set the php continuation

  Parameters:
    `kont` - The continuation.

### getHttpServer

    JavaBridgeRunner getHttpServer()

  Return the http server associated with this context.

  Returns:
    The http server.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD